#pragma once
#include "Entity.h"
#define CS_TELEPORTER_CREATENAME L"CS_teleporter"
//´«ËÍÆ÷
class CS_Teleporter :
    public Entity
{
public:
    CS_Teleporter();
    void SetState(int stateID, int lr) override;
};

std::shared_ptr<Entity> CreateCS_Teleporter();